# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KRestrictedLine Class Reference

A line editor for restricted character sets. More...

`#include <krestrictedline.h>`

Inheritance diagram for KRestrictedLine:

[legend]
Collaboration diagram for KRestrictedLine:

[legend]
List of all members.

## Signals

void | invalidChar (int)

## Public Member Functions

| KRestrictedLine (QWidget *parent=0, const char *name=0, const QString &valid=QString::null)
| ~KRestrictedLine ()
void | setValidChars (const QString &valid)
QString | validChars () const

## Protected Member Functions

void | keyPressEvent (QKeyEvent *e)
virtual void | virtual_hook (int id, void *data)

## Properties

QString | validChars

## Detailed Description

A line editor for restricted character sets.

The KRestrictedLine widget is a variant of QLineEdit which accepts only a restricted set of characters as input. All other characters will be discarded and the signal invalidChar() will be emitted for each of them.

Valid characters can be passed as a QString to the constructor or set afterwards via setValidChars(). The default key bindings of QLineEdit are still in effect.

Author:
  Michael Wiedmann <mw@miwie.in-berlin.de>

Definition at line 44 of file krestrictedline.h.

## Constructor & Destructor Documentation

KRestrictedLine::KRestrictedLine | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`,
|  | const QString & | valid = `QString::null`
| ) |

Constructor: This contructor takes three - optional - arguments.

The first two parameters are simply passed on to QLineEdit.

Parameters:

  | parent | pointer to the parent widget
  | name | pointer to the name of this widget
  | valid | pointer to set of valid characters

Definition at line 28 of file krestrictedline.cpp.

KRestrictedLine::~KRestrictedLine | ( |  | ) |

| Destructs the restricted line editor. Definition at line 36 of file krestrictedline.cpp.

## Member Function Documentation

void KRestrictedLine::setValidChars | ( | const QString & | valid | ) |

| All characters in the string valid are treated as acceptable characters. Definition at line 68 of file krestrictedline.cpp.

QString KRestrictedLine::validChars | ( |  | ) | const

Returns:
  the string of acceptable characters.

void KRestrictedLine::invalidChar | ( | int |  | ) | `[signal]`

| Emitted when an invalid character was typed. Referenced by keyPressEvent().

void KRestrictedLine::keyPressEvent | ( | QKeyEvent * | e | ) | `[protected, virtual]`

| Re-implemented for internal reasons. API not affected. See QLineEdit::keyPressEvent(). Reimplemented from KLineEdit. Definition at line 42 of file krestrictedline.cpp. References QString::contains(), invalidChar(), QString::isEmpty(), and QLineEdit::keyPressEvent().

The documentation for this class was generated from the following files:

- krestrictedline.h
- krestrictedline.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:22:01 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003